<wo:AjaxUpdateContainer id = "$containerId">
  <!-- Table containing the results -->
  <wo:AjaxUpdateContainer id = "$tableViewContainerId">
    <center>
      <wo:form>
        <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" triMultiColonneEnabled = "$true" updateToolbarOnSelect = "$true" showToolbar = "$true" showFilters = "$true" useFixedHeader = "false" updateContainerID = "bouton" paginatorHasForm = "false">
          <wo:CktlAjaxSimpleTableViewHeader>
            <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.nomAffichage" label = "Nom" />
            <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.prenomAffichage" label = "Prénom" />
            <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "etatFiche" label = "Etat" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Type de vacation" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Heures du contrat" />
            <wo:if condition = "$estPopulationPrevisionnelle">
            <wo:CktlAjaxSimpleTableViewColumn label = "Heures attribuées HETD" />
            </wo:if>
            <wo:else>
            <wo:CktlAjaxSimpleTableViewColumn label = "Heures réalisées HETD" />
            </wo:else>
            <wo:CktlAjaxSimpleTableViewColumn label = "Delta" />
          </wo:CktlAjaxSimpleTableViewHeader>
          <wo:CktlAjaxSimpleTableViewFilters>
            <th><wo:CktlAjaxFilterTextField value = "$tokenNom" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
            <th><wo:CktlAjaxFilterTextField value = "$tokenPrenom" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
            <th />
            <th />
            <th />
            <th />
            <th />
          </wo:CktlAjaxSimpleTableViewFilters>
          <wo:CktlAjaxSimpleTableViewBody>
            <wo:if condition = "$afficherLienToFicheEnseignant">
              <td align = "left">
                <wo:hyperlink action = "$getLinkToFicheEnseignant"><wo:string value = "$currentItem.toIndividu.nomAffichage.toUpperCase" /></wo:hyperlink>
              </td>
              <td align = "left">
                <wo:hyperlink action = "$getLinkToFicheEnseignant"><wo:string value = "$currentItem.toIndividu.prenomAffichage" /></wo:hyperlink>
              </td>
            </wo:if>
            <wo:else>
              <td align = "left"><wo:string value = "$currentItem.toIndividu.nomAffichage.toUpperCase" /></td>
              <td align = "left"><wo:string value = "$currentItem.toIndividu.prenomAffichage" /></td>
            </wo:else>
            <td align = "left"><wo:string value = "$currentItem.etatFiche" /></td>
            <td align = "left"><wo:string value = "$typeVacation" /></td>
            <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresContrat" /></td>
            <wo:if condition = "$estPopulationPrevisionnelle">  
            <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresAttribuees" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaAttribue" numberformat = "$app3DecimalesNumberFormat"/></td>
            </wo:if>
            <wo:else>
            <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresRealisees" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaRealise" numberformat = "$app3DecimalesNumberFormat"/></td>
            </wo:else>
          </wo:CktlAjaxSimpleTableViewBody>
        </wo:CktlAjaxSimpleTableView>
      </wo:form>
    </center>
    <br />
    <wo:form>
      <!-- Delete and Edit Buttons -->
      <wo:AjaxUpdateContainer id = "bouton">
        <wo:form>
          <wo:if condition = "$afficherBoutonFicheService"> <wo:CktlSubmitButton type = "edit" action = "$ouvrirFicheService" text = "$session.localizer.application.boutonFicheService" disabled = "$boutonFicheServiceInactif" /> </wo:if>
          <wo:if condition = "$isBoutonRapprocherVisible"> <wo:CktlSubmitButton type = "edit" action = "$rapprocherEnseignantGenerique" text = "Rapprocher" disabled = "$isBoutonRapprocherDisabled" /> </wo:if>
        </wo:form>
      </wo:AjaxUpdateContainer>
    </wo:form>
  </wo:AjaxUpdateContainer>
</wo:AjaxUpdateContainer>